Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install imake libICE-devel libSM-devel libX11-devel libopenmotif-devel xorg-cf-files
# END SourceDeps(oneline)
%define fedora 38
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global	short_version	3.10

%if 0%{?fedora} >= 28
%global	ghostscript_devel	libgs-devel
%else
%global	ghostscript_devel	ghostscript-devel
%endif

%undefine        _changelog_trimtime
%undefine   __brp_mangle_shebangs

Name:			xcircuit
Version:		%{short_version}.30
Release:		alt2_10
Summary:		Electronic circuit schematic drawing program

License:		GPLv2+
URL:			http://opencircuitdesign.com/xcircuit

Source:		http://opencircuitdesign.com/xcircuit/archive/%{name}-%{version}.tgz
Source1:		%{name}.desktop
# http://opencircuitdesign.com/xcircuit/archive/xcircuit.xpm as 64x64
Source2:		%{name}.png

Patch0:		xcircuit-3.9.40-format-security.patch
Patch1: xcircuit-c99.patch

BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	libgs-devel
BuildRequires:	libXpm libXpm-devel
BuildRequires:	libXt-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	zlib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ngspice

BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool

# Need check
Requires:		coreutils
Requires:		libgail libgtk+2
Requires:		libtk tk
Source44: import.info

# Special FEL Gnome/KDE menu structure

%description
Xcircuit is a general-purpose drawing program and also a specific-purpose
CAD program for circuit schematic drawing and schematic capture.

%prep
%setup -q
%patch0  -p1
%patch1  -p1

#439604: TCL 8.5.1
sed -i lib/tcl/tkcon.tcl \
	-e "s|package require -exact|package require|" 
sed -i Makefile.am \
	-e 's|/lib/|/%{_lib}/|'

autoreconf

sed -i Makefile.in -e 's|LD_RUN_PATH =|LD_RUN_PATH_DIE =|'
sed -i examples/xc_remote.sh -e 's|/usr/local/bin|%{_bindir}|'
chmod ugo-x lib/tcl/console.tcl

%build
export WISH=/usr/bin/wish

#01/08/09 Without --enable-asg \ because it's broken
%configure \
	--with-tcl=%{_libdir} \
	--with-tk=%{_libdir} \
	%{nil}
%make_build

%install
make \
	INSTALL="install -p" \
	DESTDIR=%{buildroot} \
	install
make install-man mandir="%{buildroot}%{_mandir}"

rm -rf examples/win32
chmod -x examples/*

# They stay
#W: xcircuit hidden-file-or-dir examples/python/.xcircuitrc
#W: xcircuit hidden-file-or-dir examples/.xcircuitrc

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -cpm 0644 %{SOURCE2} \
	%{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

sed -i '7 a\export TCLLIBPATH=%{_libdir}' %{buildroot}%{_bindir}/xcircuit

desktop-file-install \
	--vendor "" \
	--dir %{buildroot}%{_datadir}/applications \
	%{SOURCE1}

%files
%doc	CHANGES
%doc	README*
%doc	TODO
%doc	examples/
%doc --no-dereference	COPYRIGHT

%{_bindir}/%{name}
%{_libdir}/%{name}-%{short_version}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 3.10.30-alt2_10
- update to new release by fcimport

* Sat Sep 16 2023 Igor Vlasenko <viy@altlinux.org> 3.10.30-alt2_9
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3.10.30-alt2_7
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 3.10.30-alt2_5
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3.10.30-alt2_4
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3.10.30-alt2_3
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.10.30-alt2_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.10.30-alt2_1
- update to new release by fcimport

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 3.10.30-alt1_1
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.10.29-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3.10.28-alt1_2
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 3.10.28-alt1_1
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 3.10.24-alt1_1
- update to new release by fcimport

* Wed Apr 08 2020 Igor Vlasenko <viy@altlinux.ru> 3.10.12-alt1_4
- update

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 3.10.12-alt1_3
- new version

